<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <artifactId>framework</artifactId>
        <groupId>com.hhh.cloud</groupId>
        <version>2.0.0-SNAPSHOT</version>
    </parent>

    <groupId>com.hhh.cloud.framework</groupId>
    <artifactId>hhh-megrez-bridge</artifactId>
    <version>1.0-SNAPSHOT</version>

    <properties>
        <tomcat.version>9.0.39</tomcat.version>
        <megrez-spring-boot-mongodb.version>1.0-SNAPSHOT</megrez-spring-boot-mongodb.version>
        <megrez-spring-boot-starter.version>1.0-SNAPSHOT</megrez-spring-boot-starter.version>
    </properties>

    <dependencies>
        <!-- oracle -->
        <!--<dependency>
            <groupId>com.oracle.database.jdbc</groupId>
            <artifactId>ojdbc8</artifactId>
            <version>19.3.0.0</version>
        </dependency>
        <dependency>
            <groupId>cn.easyproject</groupId>
            <artifactId>orai18n</artifactId>
            <version>12.1.0.2.0</version>
        </dependency>-->
        <!-- mysql -->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <scope>runtime</scope>
        </dependency>

        <!-- mybatis分页插件 -->
        <dependency>
            <groupId>com.github.pagehelper</groupId>
            <artifactId>pagehelper-spring-boot-starter</artifactId>
        </dependency>

        <!--集成mybatis-->
        <dependency>
            <groupId>org.mybatis.spring.boot</groupId>
            <artifactId>mybatis-spring-boot-starter</artifactId>
        </dependency>

        <!-- mongodb -->
        <!--<dependency>
            <groupId>com.hhh.cloud.framework</groupId>
            <artifactId>megrez-spring-boot-mongodb</artifactId>
            <version>${megrez-spring-boot-mongodb.version}</version>
        </dependency>-->

        <dependency>
            <groupId>com.hhh.cloud.framework</groupId>
            <artifactId>megrez-spring-boot-starter</artifactId>
            <version>${megrez-spring-boot-starter.version}</version>
        </dependency>

        <!-- 1. 如果不使用nacos，忽略nacos-配置管理功能依赖 -->
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
            <version>${ali-nacos.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>*</groupId>
                    <artifactId>*</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!-- 2. 如果不使用nacos，nacos-服务发现功能依赖 -->
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
            <version>${ali-nacos.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>*</groupId>
                    <artifactId>*</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
        </plugins>
    </build>
</project>